<!DOCTYPE html>
<html><head>
<title>eric7.RemoteServerInterface.EricServerProfilesDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.RemoteServerInterface.EricServerProfilesDialog</h1>
<p>
Module implementing a dialog to manage server connection profiles.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#EricServerProfilesDialog">EricServerProfilesDialog</a></td>
<td>Class implementing a dialog to manage server connection profiles.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="EricServerProfilesDialog" ID="EricServerProfilesDialog"></a>
<h2>EricServerProfilesDialog</h2>
<p>
    Class implementing a dialog to manage server connection profiles.
</p>

<h3>Derived from</h3>
QDialog, Ui_EricServerProfilesDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricServerProfilesDialog.__init__">EricServerProfilesDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#EricServerProfilesDialog.__getProfilesList">__getProfilesList</a></td>
<td>Private method to get the list of defined profile names.</td>
</tr>
<tr>
<td><a href="#EricServerProfilesDialog.__populateProfilesList">__populateProfilesList</a></td>
<td>Private method to (re-) populate the list of server connection profiles.</td>
</tr>
<tr>
<td><a href="#EricServerProfilesDialog.getConnectionProfiles">getConnectionProfiles</a></td>
<td>Public method to get the configured connection profiles.</td>
</tr>
<tr>
<td><a href="#EricServerProfilesDialog.on_addButton_clicked">on_addButton_clicked</a></td>
<td>Private slot add a new connection profile.</td>
</tr>
<tr>
<td><a href="#EricServerProfilesDialog.on_connectionsList_itemSelectionChanged">on_connectionsList_itemSelectionChanged</a></td>
<td>Private slot to handle a change of selected items.</td>
</tr>
<tr>
<td><a href="#EricServerProfilesDialog.on_editButton_clicked">on_editButton_clicked</a></td>
<td>Private slot to edit the selected entry.</td>
</tr>
<tr>
<td><a href="#EricServerProfilesDialog.on_removeButton_clicked">on_removeButton_clicked</a></td>
<td>Private slot to remove the selected connection profiles.</td>
</tr>
<tr>
<td><a href="#EricServerProfilesDialog.on_resetButton_clicked">on_resetButton_clicked</a></td>
<td>Private slot to reset all changes performed.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricServerProfilesDialog.__init__" ID="EricServerProfilesDialog.__init__"></a>
<h4>EricServerProfilesDialog (Constructor)</h4>
<b>EricServerProfilesDialog</b>(<i>profiles, parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>profiles</i> (dict)</dt>
<dd>
dictionary containing the server connection profiles
</dd>
<dt><i>parent</i> (QWidget (optional))</dt>
<dd>
reference to the parent widget (defaults to None)
</dd>
</dl>
<a NAME="EricServerProfilesDialog.__getProfilesList" ID="EricServerProfilesDialog.__getProfilesList"></a>
<h4>EricServerProfilesDialog.__getProfilesList</h4>
<b>__getProfilesList</b>(<i></i>)
<p>
        Private method to get the list of defined profile names.
</p>

<dl>
<dt>Return:</dt>
<dd>
list of defined profile names
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of str
</dd>
</dl>
<a NAME="EricServerProfilesDialog.__populateProfilesList" ID="EricServerProfilesDialog.__populateProfilesList"></a>
<h4>EricServerProfilesDialog.__populateProfilesList</h4>
<b>__populateProfilesList</b>(<i></i>)
<p>
        Private method to (re-) populate the list of server connection profiles.
</p>

<a NAME="EricServerProfilesDialog.getConnectionProfiles" ID="EricServerProfilesDialog.getConnectionProfiles"></a>
<h4>EricServerProfilesDialog.getConnectionProfiles</h4>
<b>getConnectionProfiles</b>(<i></i>)
<p>
        Public method to get the configured connection profiles.
</p>

<dl>
<dt>Return:</dt>
<dd>
dictionary containing the configured connection profiles
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
dict
</dd>
</dl>
<a NAME="EricServerProfilesDialog.on_addButton_clicked" ID="EricServerProfilesDialog.on_addButton_clicked"></a>
<h4>EricServerProfilesDialog.on_addButton_clicked</h4>
<b>on_addButton_clicked</b>(<i></i>)
<p>
        Private slot add a new connection profile.
</p>

<a NAME="EricServerProfilesDialog.on_connectionsList_itemSelectionChanged" ID="EricServerProfilesDialog.on_connectionsList_itemSelectionChanged"></a>
<h4>EricServerProfilesDialog.on_connectionsList_itemSelectionChanged</h4>
<b>on_connectionsList_itemSelectionChanged</b>(<i></i>)
<p>
        Private slot to handle a change of selected items.
</p>

<a NAME="EricServerProfilesDialog.on_editButton_clicked" ID="EricServerProfilesDialog.on_editButton_clicked"></a>
<h4>EricServerProfilesDialog.on_editButton_clicked</h4>
<b>on_editButton_clicked</b>(<i></i>)
<p>
        Private slot to edit the selected entry.
</p>

<a NAME="EricServerProfilesDialog.on_removeButton_clicked" ID="EricServerProfilesDialog.on_removeButton_clicked"></a>
<h4>EricServerProfilesDialog.on_removeButton_clicked</h4>
<b>on_removeButton_clicked</b>(<i></i>)
<p>
        Private slot to remove the selected connection profiles.
</p>

<a NAME="EricServerProfilesDialog.on_resetButton_clicked" ID="EricServerProfilesDialog.on_resetButton_clicked"></a>
<h4>EricServerProfilesDialog.on_resetButton_clicked</h4>
<b>on_resetButton_clicked</b>(<i></i>)
<p>
        Private slot to reset all changes performed.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
